<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow  xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   close="titlewindowCloseHandler(event)"  
			   creationComplete="creationCompleteHandler(event)" 
			   title="Cadastro de Caracteristicas Fiscais"
			   maxWidth="1200" maxHeight="700"  
			   xmlns:visual="br.com.desenv.framework.component.visual.*"   xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*">
			   
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	
	<fx:Metadata>
		[Event(name="CaracteristicasFiscaisIncluidoEvent")]
		[Event(name="CaracteristicasFiscaisAtualizadoEvent")]
		[Event(name="CaracteristicasFiscaisExcluidoEvent")]
		[Event(name="CaracteristicasFiscaisSelecionadoEvent")]
		
	</fx:Metadata>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			import mx.controls.DateField;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			
			import mx.validators.Validator;
			import spark.events.TitleWindowBoundsEvent;
			
			import br.com.desenv.nepalign.vo.CaracteristicasFiscais;
			
			import br.com.desenv.nepalign.vo.Cfop;
			import br.com.desenv.nepalign.vo.Cstcofins;
			import br.com.desenv.nepalign.vo.CodigoSituacaoTributaria;
			import br.com.desenv.nepalign.vo.Cfop;
			import br.com.desenv.nepalign.vo.SubCodigoSituacaoTributaria;
			import br.com.desenv.nepalign.vo.Cstipi;
			import br.com.desenv.nepalign.vo.Cstpis;
			import br.com.desenv.nepalign.vo.Uf;
			// Alguem passa a objeto para ca
			public var caracteristicasFiscais : CaracteristicasFiscais = new CaracteristicasFiscais();
			
			[Bindable]
			private var listaCfopForaUf: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaCstcofins: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaCodigoSituacaoTributaria: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaCfop: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaSubCodigoSituacaoTributaria: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaCstipi: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaCstpis: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaUf: ArrayCollection = new ArrayCollection();

			
			[Bindable]
			private var listaValidadorForm: Array = new Array();
			
// ---------------------------------- FUNCOES DE INICIALIZACAO E FINALIZACAO --------------------------------			
			
			
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}
			
			// Indica todas as validacoes necessarias
			private function carregarListaValidacao(): void
			{
				//implemente aqui outros validadores se necessario
			}
			
			private function limparListaCampo(): void
			{
// Combo
				ignComboBoxAutoCompleteUf.selectedIndex = -1;
// Combo
				ignComboBoxAutoCompleteCfop.selectedIndex = -1;
// Combo
				ignComboBoxAutoCompleteCodigoSituacaoTributaria.selectedIndex = -1;
// Combo
				ignComboBoxAutoCompleteSubCodigoSituacaoTributaria.selectedIndex = -1;
// Combo
				ignComboBoxAutoCompleteCstpis.selectedIndex = -1;
// Combo
				ignComboBoxAutoCompleteCstcofins.selectedIndex = -1;
// Combo
				ignComboBoxAutoCompleteCstipi.selectedIndex = -1;
// Combo
				ignComboBoxAutoCompleteCfopForaUf.selectedIndex = -1;
				ignTextInputDescricao.text = "";
				ignComboBoxFixoAplicIdCfop.selectedIndex = -1;
				ignTextInputDoubleIcms.text = "";
				ignComboBoxFixoAplicIcms.selectedIndex = -1;
				ignTextInputDoubleIpi.text = "";
				ignComboBoxFixoAplicIpi.selectedIndex = -1;
				ignTextInputDoublePis.text = "";
				ignComboBoxFixoAplicPis.selectedIndex = -1;
				ignTextInputDoubleCofins.text = "";
				ignComboBoxFixoAplicCofins.selectedIndex = -1;
				ignTextInputDoubleCsll.text = "";
				ignComboBoxFixoAplicCsll.selectedIndex = -1;
				ignTextInputDoubleIrrf.text = "";
				ignComboBoxFixoAplicIRRF.selectedIndex = -1;
				ignTextInputDoubleReducaoBCIcms.text = "";
				ignComboBoxFixoAplicReducaoBCIcms.selectedIndex = -1;
				ignTextInputDoubleMva.text = "";
				ignComboBoxFixoAplicMva.selectedIndex = -1;
				ignComboBoxFixoAplicCodigoSitTrib.selectedIndex = -1;
				ignComboBoxFixoExibirPisNota.selectedIndex = -1;
				ignComboBoxFixoExibirCofinsNota.selectedIndex = -1;
				ignComboBoxFixoExibirCsllNota.selectedIndex = -1;
				ignComboBoxFixoExibirIrrfNota.selectedIndex = -1;
				ignTextAreaObservacao.text = "";
				ignComboBoxFixoSobreescreverobs.selectedIndex = -1;
				ignComboBoxFixoLocalObs.selectedIndex = -1;
				ignComboBoxFixoAtivo.selectedIndex = -1;
				ignComboBoxFixoDescontoImpostos.selectedIndex = -1;
				ignComboBoxFixoOrigemNota.selectedIndex = -1;
				ignComboBoxFixoSuspCalcSt.selectedIndex = -1;
				ignTextInputDoubleReducaoBCIcmsST.text = "";
				ignComboBoxFixoAplicReducaoBCIcmsST.selectedIndex = -1;
				ignComboBoxFixoAplicCfopForaUf.selectedIndex = -1;
			}
			
			// Chama ao completar o carregamento da pagina
			private function creationCompleteHandler( event: FlexEvent ): void 
			{
				carregarListaValidacao();
				
				var remoteObjectCfopForaUf: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("cfopService", listarCfopForaUfResultHandler);	
				remoteObjectCfopForaUf.getOperation("listar").send();
				var remoteObjectCstcofins: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("cstcofinsService", listarCstcofinsResultHandler);	
				remoteObjectCstcofins.getOperation("listar").send();
				var remoteObjectCodigoSituacaoTributaria: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("codigoSituacaoTributariaService", listarCodigoSituacaoTributariaResultHandler);	
				remoteObjectCodigoSituacaoTributaria.getOperation("listar").send();
				var remoteObjectCfop: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("cfopService", listarCfopResultHandler);	
				remoteObjectCfop.getOperation("listar").send();
				var remoteObjectSubCodigoSituacaoTributaria: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("subCodigoSituacaoTributariaService", listarSubCodigoSituacaoTributariaResultHandler);	
				remoteObjectSubCodigoSituacaoTributaria.getOperation("listar").send();
				var remoteObjectCstipi: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("cstipiService", listarCstipiResultHandler);	
				remoteObjectCstipi.getOperation("listar").send();
				var remoteObjectCstpis: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("cstpisService", listarCstpisResultHandler);	
				remoteObjectCstpis.getOperation("listar").send();
				var remoteObjectUf: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("ufService", listarUfResultHandler);	
				remoteObjectUf.getOperation("listar").send();
				
				// Se e um novo cadastro
				if (isNaN(this.caracteristicasFiscais.id))
				{
					limparListaCampo();
				}
				// Se alguem passou o objeto
				else
				{
					//ignComboBoxAutoCompleteUf.selectedItem = this.caracteristicasFiscais.uf;
					//ignComboBoxAutoCompleteCfop.selectedItem = this.caracteristicasFiscais.cfop;
					//ignComboBoxAutoCompleteCodigoSituacaoTributaria.selectedItem = this.caracteristicasFiscais.codigoSituacaoTributaria;
					//ignComboBoxAutoCompleteSubCodigoSituacaoTributaria.selectedItem = this.caracteristicasFiscais.subCodigoSituacaoTributaria;
					//ignComboBoxAutoCompleteCstpis.selectedItem = this.caracteristicasFiscais.cstpis;
					//ignComboBoxAutoCompleteCstcofins.selectedItem = this.caracteristicasFiscais.cstcofins;
					//ignComboBoxAutoCompleteCstipi.selectedItem = this.caracteristicasFiscais.cstipi;
					//ignComboBoxAutoCompleteCfopForaUf.selectedItem = this.caracteristicasFiscais.cfopForaUf;
					ignTextInputDescricao.text = this.caracteristicasFiscais.descricao;

					if (this.caracteristicasFiscais.aplicIdCfop == 0)
					{
						ignComboBoxFixoAplicIdCfop.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.aplicIdCfop == 1)
					{
						ignComboBoxFixoAplicIdCfop.selectedIndex = 1;
					}

					ignTextInputDoubleIcms.text = this.caracteristicasFiscais.icms == 0.0?"":this.caracteristicasFiscais.icms.toString().replace(".", ",");

					if (this.caracteristicasFiscais.aplicIcms == 0)
					{
						ignComboBoxFixoAplicIcms.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.aplicIcms == 1)
					{
						ignComboBoxFixoAplicIcms.selectedIndex = 1;
					}

					ignTextInputDoubleIpi.text = this.caracteristicasFiscais.ipi == 0.0?"":this.caracteristicasFiscais.ipi.toString().replace(".", ",");

					if (this.caracteristicasFiscais.aplicIpi == 0)
					{
						ignComboBoxFixoAplicIpi.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.aplicIpi == 1)
					{
						ignComboBoxFixoAplicIpi.selectedIndex = 1;
					}

					ignTextInputDoublePis.text = this.caracteristicasFiscais.pis == 0.0?"":this.caracteristicasFiscais.pis.toString().replace(".", ",");

					if (this.caracteristicasFiscais.aplicPis == 0)
					{
						ignComboBoxFixoAplicPis.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.aplicPis == 1)
					{
						ignComboBoxFixoAplicPis.selectedIndex = 1;
					}

					ignTextInputDoubleCofins.text = this.caracteristicasFiscais.cofins == 0.0?"":this.caracteristicasFiscais.cofins.toString().replace(".", ",");

					if (this.caracteristicasFiscais.aplicCofins == 0)
					{
						ignComboBoxFixoAplicCofins.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.aplicCofins == 1)
					{
						ignComboBoxFixoAplicCofins.selectedIndex = 1;
					}

					ignTextInputDoubleCsll.text = this.caracteristicasFiscais.csll == 0.0?"":this.caracteristicasFiscais.csll.toString().replace(".", ",");

					if (this.caracteristicasFiscais.aplicCsll == 0)
					{
						ignComboBoxFixoAplicCsll.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.aplicCsll == 1)
					{
						ignComboBoxFixoAplicCsll.selectedIndex = 1;
					}

					ignTextInputDoubleIrrf.text = this.caracteristicasFiscais.irrf == 0.0?"":this.caracteristicasFiscais.irrf.toString().replace(".", ",");

					if (this.caracteristicasFiscais.aplicIRRF == 0)
					{
						ignComboBoxFixoAplicIRRF.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.aplicIRRF == 1)
					{
						ignComboBoxFixoAplicIRRF.selectedIndex = 1;
					}

					ignTextInputDoubleReducaoBCIcms.text = this.caracteristicasFiscais.reducaoBCIcms == 0.0?"":this.caracteristicasFiscais.reducaoBCIcms.toString().replace(".", ",");

					if (this.caracteristicasFiscais.aplicReducaoBCIcms == 0)
					{
						ignComboBoxFixoAplicReducaoBCIcms.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.aplicReducaoBCIcms == 1)
					{
						ignComboBoxFixoAplicReducaoBCIcms.selectedIndex = 1;
					}

					ignTextInputDoubleMva.text = this.caracteristicasFiscais.mva == 0.0?"":this.caracteristicasFiscais.mva.toString().replace(".", ",");

					if (this.caracteristicasFiscais.aplicMva == 0)
					{
						ignComboBoxFixoAplicMva.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.aplicMva == 1)
					{
						ignComboBoxFixoAplicMva.selectedIndex = 1;
					}

					if (this.caracteristicasFiscais.aplicCodigoSitTrib == 0)
					{
						ignComboBoxFixoAplicCodigoSitTrib.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.aplicCodigoSitTrib == 1)
					{
						ignComboBoxFixoAplicCodigoSitTrib.selectedIndex = 1;
					}

					if (this.caracteristicasFiscais.exibirPisNota == 0)
					{
						ignComboBoxFixoExibirPisNota.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.exibirPisNota == 1)
					{
						ignComboBoxFixoExibirPisNota.selectedIndex = 1;
					}

					if (this.caracteristicasFiscais.exibirCofinsNota == 0)
					{
						ignComboBoxFixoExibirCofinsNota.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.exibirCofinsNota == 1)
					{
						ignComboBoxFixoExibirCofinsNota.selectedIndex = 1;
					}

					if (this.caracteristicasFiscais.exibirCsllNota == 0)
					{
						ignComboBoxFixoExibirCsllNota.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.exibirCsllNota == 1)
					{
						ignComboBoxFixoExibirCsllNota.selectedIndex = 1;
					}

					if (this.caracteristicasFiscais.exibirIrrfNota == 0)
					{
						ignComboBoxFixoExibirIrrfNota.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.exibirIrrfNota == 1)
					{
						ignComboBoxFixoExibirIrrfNota.selectedIndex = 1;
					}

					ignTextAreaObservacao.text = this.caracteristicasFiscais.observacao;

					if (this.caracteristicasFiscais.sobreescreverobs == 0)
					{
						ignComboBoxFixoSobreescreverobs.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.sobreescreverobs == 1)
					{
						ignComboBoxFixoSobreescreverobs.selectedIndex = 1;
					}

					if (this.caracteristicasFiscais.localObs == 0)
					{
						ignComboBoxFixoLocalObs.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.localObs == 1)
					{
						ignComboBoxFixoLocalObs.selectedIndex = 1;
					}

					if (this.caracteristicasFiscais.ativo == 0)
					{
						ignComboBoxFixoAtivo.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.ativo == 1)
					{
						ignComboBoxFixoAtivo.selectedIndex = 1;
					}

					if (this.caracteristicasFiscais.descontoImpostos == 0)
					{
						ignComboBoxFixoDescontoImpostos.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.descontoImpostos == 1)
					{
						ignComboBoxFixoDescontoImpostos.selectedIndex = 1;
					}

					if (this.caracteristicasFiscais.origemNota == 1)
					{
						ignComboBoxFixoOrigemNota.selectedIndex = 1;
					}
					else if (this.caracteristicasFiscais.origemNota == 2)
					{
						ignComboBoxFixoOrigemNota.selectedIndex = 2;
					}
				
					if (this.caracteristicasFiscais.suspCalcSt == 0)
					{
						ignComboBoxFixoSuspCalcSt.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.suspCalcSt == 1)
					{
						ignComboBoxFixoSuspCalcSt.selectedIndex = 1;
					}

					ignTextInputDoubleReducaoBCIcmsST.text = this.caracteristicasFiscais.reducaoBCIcmsST == 0.0?"":this.caracteristicasFiscais.reducaoBCIcmsST.toString().replace(".", ",");

					if (this.caracteristicasFiscais.aplicReducaoBCIcmsST == 0)
					{
						ignComboBoxFixoAplicReducaoBCIcmsST.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.aplicReducaoBCIcmsST == 1)
					{
						ignComboBoxFixoAplicReducaoBCIcmsST.selectedIndex = 1;
					}

					if (this.caracteristicasFiscais.aplicCfopForaUf == 0)
					{
						ignComboBoxFixoAplicCfopForaUf.selectedIndex = 2;
					}
					else if (this.caracteristicasFiscais.aplicCfopForaUf == 1)
					{
						ignComboBoxFixoAplicCfopForaUf.selectedIndex = 1;
					}

				}
			}
			
			private function listarCfopForaUfResultHandler( event: ResultEvent ): void 
			{
				listaCfopForaUf = event.result as ArrayCollection;
				listaCfopForaUf.addItemAt(null, 0);
				
				if (this.caracteristicasFiscais != null && this.caracteristicasFiscais.cfopForaUf != null)
				{
					for(var i:int = 1; i <= this.listaCfopForaUf.length; i++)
					{
						var cfopForaUfTemp: Cfop = this.listaCfopForaUf.getItemAt(i) as Cfop;
						
						if (cfopForaUfTemp.id == this.caracteristicasFiscais.cfopForaUf.id)
						{
							ignComboBoxAutoCompleteCfopForaUf.selectedIndex = i;
							break;
						}
					}
				}	
			}
			private function listarCstcofinsResultHandler( event: ResultEvent ): void 
			{
				listaCstcofins = event.result as ArrayCollection;
				listaCstcofins.addItemAt(null, 0);
				
				if (this.caracteristicasFiscais != null && this.caracteristicasFiscais.cstcofins != null)
				{
					for(var i:int = 1; i <= this.listaCstcofins.length; i++)
					{
						var cstcofinsTemp: Cstcofins = this.listaCstcofins.getItemAt(i) as Cstcofins;
						
						if (cstcofinsTemp.id == this.caracteristicasFiscais.cstcofins.id)
						{
							ignComboBoxAutoCompleteCstcofins.selectedIndex = i;
							break;
						}
					}
				}	
			}
			private function listarCodigoSituacaoTributariaResultHandler( event: ResultEvent ): void 
			{
				listaCodigoSituacaoTributaria = event.result as ArrayCollection;
				listaCodigoSituacaoTributaria.addItemAt(null, 0);
				
				if (this.caracteristicasFiscais != null && this.caracteristicasFiscais.codigoSituacaoTributaria != null)
				{
					for(var i:int = 1; i <= this.listaCodigoSituacaoTributaria.length; i++)
					{
						var codigoSituacaoTributariaTemp: CodigoSituacaoTributaria = this.listaCodigoSituacaoTributaria.getItemAt(i) as CodigoSituacaoTributaria;
						
						if (codigoSituacaoTributariaTemp.id == this.caracteristicasFiscais.codigoSituacaoTributaria.id)
						{
							ignComboBoxAutoCompleteCodigoSituacaoTributaria.selectedIndex = i;
							break;
						}
					}
				}	
			}
		private function listarCfopResultHandler( event: ResultEvent ): void 
			{
				listaCfop = event.result as ArrayCollection;
				listaCfop.addItemAt(null, 0);
				
				if (this.caracteristicasFiscais != null && this.caracteristicasFiscais.cfop != null)
				{
					for(var i:int = 1; i <= this.listaCfop.length; i++)
					{
						var cfopTemp: Cfop = this.listaCfop.getItemAt(i) as Cfop;
						
						if (cfopTemp.id == this.caracteristicasFiscais.cfop.id)
						{
							ignComboBoxAutoCompleteCfop.selectedIndex = i;
							break;
						}
					}
				}	
			}
			private function listarSubCodigoSituacaoTributariaResultHandler( event: ResultEvent ): void 
			{
				listaSubCodigoSituacaoTributaria = event.result as ArrayCollection;
				listaSubCodigoSituacaoTributaria.addItemAt(null, 0);
				
				if (this.caracteristicasFiscais != null && this.caracteristicasFiscais.subCodigoSituacaoTributaria != null)
				{
					for(var i:int = 1; i <= this.listaSubCodigoSituacaoTributaria.length; i++)
					{
						var subCodigoSituacaoTributariaTemp: SubCodigoSituacaoTributaria = this.listaSubCodigoSituacaoTributaria.getItemAt(i) as SubCodigoSituacaoTributaria;
						
						if (subCodigoSituacaoTributariaTemp.id == this.caracteristicasFiscais.subCodigoSituacaoTributaria.id)
						{
							ignComboBoxAutoCompleteSubCodigoSituacaoTributaria.selectedIndex = i;
							break;
						}
					}
				}	
			}
			private function listarCstipiResultHandler( event: ResultEvent ): void 
			{
				listaCstipi = event.result as ArrayCollection;
				listaCstipi.addItemAt(null, 0);
				
				if (this.caracteristicasFiscais != null && this.caracteristicasFiscais.cstipi != null)
				{
					for(var i:int = 1; i <= this.listaCstipi.length; i++)
					{
						var cstipiTemp: Cstipi = this.listaCstipi.getItemAt(i) as Cstipi;
						
						if (cstipiTemp.id == this.caracteristicasFiscais.cstipi.id)
						{
							ignComboBoxAutoCompleteCstipi.selectedIndex = i;
							break;
						}
					}
				}	
			}
			private function listarCstpisResultHandler( event: ResultEvent ): void 
			{
				listaCstpis = event.result as ArrayCollection;
				listaCstpis.addItemAt(null, 0);
				
				if (this.caracteristicasFiscais != null && this.caracteristicasFiscais.cstpis != null)
				{
					for(var i:int = 1; i <= this.listaCstpis.length; i++)
					{
						var cstpisTemp: Cstpis = this.listaCstpis.getItemAt(i) as Cstpis;
						
						if (cstpisTemp.id == this.caracteristicasFiscais.cstpis.id)
						{
							ignComboBoxAutoCompleteCstpis.selectedIndex = i;
							break;
						}
					}
				}	
			}
			private function listarUfResultHandler( event: ResultEvent ): void 
			{
				listaUf = event.result as ArrayCollection;
				listaUf.addItemAt(null, 0);
				
				if (this.caracteristicasFiscais != null && this.caracteristicasFiscais.uf != null)
				{
					for(var i:int = 1; i <= this.listaUf.length; i++)
					{
						var ufTemp: Uf = this.listaUf.getItemAt(i) as Uf;
						
						if (ufTemp.id == this.caracteristicasFiscais.uf.id)
						{
							ignComboBoxAutoCompleteUf.selectedIndex = i;
							break;
						}
					}
				}	
			}
			
			
			
			// Chama quando fecha a janela no X
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
// ---------------------------------- SALVAR E ATUALIZAR  --------------------------------	
			private function buttonSalvar_clickHandler( event: MouseEvent ): void 
			{
				if (validar(event))
				{
					// Se e alteracao
					if (isNaN(caracteristicasFiscais.id) == false) 
					{
						caracteristicasFiscais.uf = ignComboBoxAutoCompleteUf.selectedItem; 
						caracteristicasFiscais.cfop = ignComboBoxAutoCompleteCfop.selectedItem; 
						caracteristicasFiscais.codigoSituacaoTributaria = ignComboBoxAutoCompleteCodigoSituacaoTributaria.selectedItem; 
						caracteristicasFiscais.subCodigoSituacaoTributaria = ignComboBoxAutoCompleteSubCodigoSituacaoTributaria.selectedItem; 
						caracteristicasFiscais.cstpis = ignComboBoxAutoCompleteCstpis.selectedItem; 
						caracteristicasFiscais.cstcofins = ignComboBoxAutoCompleteCstcofins.selectedItem; 
						caracteristicasFiscais.cstipi = ignComboBoxAutoCompleteCstipi.selectedItem; 
						caracteristicasFiscais.cfopForaUf = ignComboBoxAutoCompleteCfopForaUf.selectedItem; 
						caracteristicasFiscais.descricao = ignTextInputDescricao.text;
						caracteristicasFiscais.aplicIdCfop = ignComboBoxFixoAplicIdCfop.selectedItem==null?NaN:ignComboBoxFixoAplicIdCfop.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicIdCfop.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.icms =  ignTextInputDoubleIcms.text == ""?NaN:parseFloat(ignTextInputDoubleIcms.text.replace(",", "."));
						caracteristicasFiscais.aplicIcms = ignComboBoxFixoAplicIcms.selectedItem==null?NaN:ignComboBoxFixoAplicIcms.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicIcms.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.ipi =  ignTextInputDoubleIpi.text == ""?NaN:parseFloat(ignTextInputDoubleIpi.text.replace(",", "."));
						caracteristicasFiscais.aplicIpi = ignComboBoxFixoAplicIpi.selectedItem==null?NaN:ignComboBoxFixoAplicIpi.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicIpi.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.pis =  ignTextInputDoublePis.text == ""?NaN:parseFloat(ignTextInputDoublePis.text.replace(",", "."));
						caracteristicasFiscais.aplicPis = ignComboBoxFixoAplicPis.selectedItem==null?NaN:ignComboBoxFixoAplicPis.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicPis.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.cofins =  ignTextInputDoubleCofins.text == ""?NaN:parseFloat(ignTextInputDoubleCofins.text.replace(",", "."));
						caracteristicasFiscais.aplicCofins = ignComboBoxFixoAplicCofins.selectedItem==null?NaN:ignComboBoxFixoAplicCofins.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicCofins.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.csll =  ignTextInputDoubleCsll.text == ""?NaN:parseFloat(ignTextInputDoubleCsll.text.replace(",", "."));
						caracteristicasFiscais.aplicCsll = ignComboBoxFixoAplicCsll.selectedItem==null?NaN:ignComboBoxFixoAplicCsll.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicCsll.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.irrf =  ignTextInputDoubleIrrf.text == ""?NaN:parseFloat(ignTextInputDoubleIrrf.text.replace(",", "."));
						caracteristicasFiscais.aplicIRRF = ignComboBoxFixoAplicIRRF.selectedItem==null?NaN:ignComboBoxFixoAplicIRRF.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicIRRF.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.reducaoBCIcms =  ignTextInputDoubleReducaoBCIcms.text == ""?NaN:parseFloat(ignTextInputDoubleReducaoBCIcms.text.replace(",", "."));
						caracteristicasFiscais.aplicReducaoBCIcms = ignComboBoxFixoAplicReducaoBCIcms.selectedItem==null?NaN:ignComboBoxFixoAplicReducaoBCIcms.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicReducaoBCIcms.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.mva =  ignTextInputDoubleMva.text == ""?NaN:parseFloat(ignTextInputDoubleMva.text.replace(",", "."));
						caracteristicasFiscais.aplicMva = ignComboBoxFixoAplicMva.selectedItem==null?NaN:ignComboBoxFixoAplicMva.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicMva.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.aplicCodigoSitTrib = ignComboBoxFixoAplicCodigoSitTrib.selectedItem==null?NaN:ignComboBoxFixoAplicCodigoSitTrib.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicCodigoSitTrib.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.exibirPisNota = ignComboBoxFixoExibirPisNota.selectedItem==null?NaN:ignComboBoxFixoExibirPisNota.selectedItem.codigo == ""?NaN:ignComboBoxFixoExibirPisNota.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.exibirCofinsNota = ignComboBoxFixoExibirCofinsNota.selectedItem==null?NaN:ignComboBoxFixoExibirCofinsNota.selectedItem.codigo == ""?NaN:ignComboBoxFixoExibirCofinsNota.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.exibirCsllNota = ignComboBoxFixoExibirCsllNota.selectedItem==null?NaN:ignComboBoxFixoExibirCsllNota.selectedItem.codigo == ""?NaN:ignComboBoxFixoExibirCsllNota.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.exibirIrrfNota =  ignComboBoxFixoExibirIrrfNota.selectedItem==null?NaN:ignComboBoxFixoExibirIrrfNota.selectedItem.codigo == ""?NaN:ignComboBoxFixoExibirIrrfNota.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.observacao = ignTextAreaObservacao.text;
						caracteristicasFiscais.sobreescreverobs = ignComboBoxFixoSobreescreverobs.selectedItem==null?NaN:ignComboBoxFixoSobreescreverobs.selectedItem.codigo == ""?NaN:ignComboBoxFixoSobreescreverobs.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.localObs = ignComboBoxFixoLocalObs.selectedItem==null?NaN:ignComboBoxFixoLocalObs.selectedItem.codigo == ""?NaN:ignComboBoxFixoLocalObs.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.ativo = ignComboBoxFixoAtivo.selectedItem==null?NaN:ignComboBoxFixoAtivo.selectedItem.codigo == ""?NaN:ignComboBoxFixoAtivo.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.descontoImpostos = ignComboBoxFixoDescontoImpostos.selectedItem==null?NaN:ignComboBoxFixoDescontoImpostos.selectedItem.codigo == ""?NaN:ignComboBoxFixoDescontoImpostos.selectedItem.codigo=="N"?0:1; 
						caracteristicasFiscais.origemNota = ignComboBoxFixoOrigemNota.selectedItem==null?NaN:ignComboBoxFixoOrigemNota.selectedItem.codigo == ""?NaN:ignComboBoxFixoOrigemNota.selectedItem.codigo=="E"?1:2; 
						caracteristicasFiscais.suspCalcSt = ignComboBoxFixoSuspCalcSt.selectedItem==null?NaN:ignComboBoxFixoSuspCalcSt.selectedItem.codigo == ""?NaN:ignComboBoxFixoSuspCalcSt.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.reducaoBCIcmsST =  ignTextInputDoubleReducaoBCIcmsST.text == ""?NaN:parseFloat(ignTextInputDoubleReducaoBCIcmsST.text.replace(",", "."));
						caracteristicasFiscais.aplicReducaoBCIcmsST = ignComboBoxFixoAplicReducaoBCIcmsST.selectedItem==null?NaN:ignComboBoxFixoAplicReducaoBCIcmsST.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicReducaoBCIcmsST.selectedItem.codigo=="N"?0:1;
						caracteristicasFiscais.aplicCfopForaUf = ignComboBoxFixoAplicCfopForaUf.selectedItem==null?NaN:ignComboBoxFixoAplicCfopForaUf.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicCfopForaUf.selectedItem.codigo=="N"?0:1;
						var remoteObjectAtualizar: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("caracteristicasFiscaisService", atualizarResultHandler);	
						remoteObjectAtualizar.getOperation("atualizar").send(caracteristicasFiscais); 
					// Se e inclusao
					} 
					else 
					{
						caracteristicasFiscais.uf = ignComboBoxAutoCompleteUf.selectedItem; 
						caracteristicasFiscais.cfop = ignComboBoxAutoCompleteCfop.selectedItem; 
						caracteristicasFiscais.codigoSituacaoTributaria = ignComboBoxAutoCompleteCodigoSituacaoTributaria.selectedItem; 
						caracteristicasFiscais.subCodigoSituacaoTributaria = ignComboBoxAutoCompleteSubCodigoSituacaoTributaria.selectedItem; 
						caracteristicasFiscais.cstpis = ignComboBoxAutoCompleteCstpis.selectedItem; 
						caracteristicasFiscais.cstcofins = ignComboBoxAutoCompleteCstcofins.selectedItem; 
						caracteristicasFiscais.cstipi = ignComboBoxAutoCompleteCstipi.selectedItem; 
						caracteristicasFiscais.cfopForaUf = ignComboBoxAutoCompleteCfopForaUf.selectedItem; 
						caracteristicasFiscais.descricao = ignTextInputDescricao.text;

						caracteristicasFiscais.aplicIdCfop = ignComboBoxFixoAplicIdCfop.selectedItem==null?NaN:ignComboBoxFixoAplicIdCfop.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicIdCfop.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.icms =  ignTextInputDoubleIcms.text == ""?NaN:parseFloat(ignTextInputDoubleIcms.text.replace(",", "."));

						caracteristicasFiscais.aplicIcms = ignComboBoxFixoAplicIcms.selectedItem==null?NaN:ignComboBoxFixoAplicIcms.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicIcms.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.ipi =  ignTextInputDoubleIpi.text == ""?NaN:parseFloat(ignTextInputDoubleIpi.text.replace(",", "."));

						caracteristicasFiscais.aplicIpi = ignComboBoxFixoAplicIpi.selectedItem==null?NaN:ignComboBoxFixoAplicIpi.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicIpi.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.pis =  ignTextInputDoublePis.text == ""?NaN:parseFloat(ignTextInputDoublePis.text.replace(",", "."));

						caracteristicasFiscais.aplicPis = ignComboBoxFixoAplicPis.selectedItem==null?NaN:ignComboBoxFixoAplicPis.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicPis.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.cofins =  ignTextInputDoubleCofins.text == ""?NaN:parseFloat(ignTextInputDoubleCofins.text.replace(",", "."));

						caracteristicasFiscais.aplicCofins = ignComboBoxFixoAplicCofins.selectedItem==null?NaN:ignComboBoxFixoAplicCofins.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicCofins.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.csll =  ignTextInputDoubleCsll.text == ""?NaN:parseFloat(ignTextInputDoubleCsll.text.replace(",", "."));

						caracteristicasFiscais.aplicCsll = ignComboBoxFixoAplicCsll.selectedItem==null?NaN:ignComboBoxFixoAplicCsll.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicCsll.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.irrf =  ignTextInputDoubleIrrf.text == ""?NaN:parseFloat(ignTextInputDoubleIrrf.text.replace(",", "."));

						caracteristicasFiscais.aplicIRRF = ignComboBoxFixoAplicIRRF.selectedItem==null?NaN:ignComboBoxFixoAplicIRRF.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicIRRF.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.reducaoBCIcms =  ignTextInputDoubleReducaoBCIcms.text == ""?NaN:parseFloat(ignTextInputDoubleReducaoBCIcms.text.replace(",", "."));

						caracteristicasFiscais.aplicReducaoBCIcms = ignComboBoxFixoAplicReducaoBCIcms.selectedItem==null?NaN:ignComboBoxFixoAplicReducaoBCIcms.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicReducaoBCIcms.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.mva =  ignTextInputDoubleMva.text == ""?NaN:parseFloat(ignTextInputDoubleMva.text.replace(",", "."));

						caracteristicasFiscais.aplicMva = ignComboBoxFixoAplicMva.selectedItem==null?NaN:ignComboBoxFixoAplicMva.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicMva.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.aplicCodigoSitTrib = ignComboBoxFixoAplicCodigoSitTrib.selectedItem==null?NaN:ignComboBoxFixoAplicCodigoSitTrib.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicCodigoSitTrib.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.exibirPisNota = ignComboBoxFixoExibirPisNota.selectedItem==null?NaN:ignComboBoxFixoExibirPisNota.selectedItem.codigo == ""?NaN:ignComboBoxFixoExibirPisNota.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.exibirCofinsNota = ignComboBoxFixoExibirCofinsNota.selectedItem==null?NaN:ignComboBoxFixoExibirCofinsNota.selectedItem.codigo == ""?NaN:ignComboBoxFixoExibirCofinsNota.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.exibirCsllNota = ignComboBoxFixoExibirCsllNota.selectedItem==null?NaN:ignComboBoxFixoExibirCsllNota.selectedItem.codigo == ""?NaN:ignComboBoxFixoExibirCsllNota.selectedItem.codigo=="N"?0:1;

						//caracteristicasFiscais.exibirIrrfNota =  ignComboBoxFixoExibirIrrfNota.

						caracteristicasFiscais.observacao = ignTextAreaObservacao.text;

						caracteristicasFiscais.sobreescreverobs = ignComboBoxFixoSobreescreverobs.selectedItem==null?NaN:ignComboBoxFixoSobreescreverobs.selectedItem.codigo == ""?NaN:ignComboBoxFixoSobreescreverobs.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.localObs = ignComboBoxFixoLocalObs.selectedItem==null?NaN:ignComboBoxFixoLocalObs.selectedItem.codigo == ""?NaN:ignComboBoxFixoLocalObs.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.ativo = ignComboBoxFixoAtivo.selectedItem==null?NaN:ignComboBoxFixoAtivo.selectedItem.codigo == ""?NaN:ignComboBoxFixoAtivo.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.descontoImpostos = ignComboBoxFixoDescontoImpostos.selectedItem==null?NaN:ignComboBoxFixoDescontoImpostos.selectedItem.codigo == ""?NaN:ignComboBoxFixoDescontoImpostos.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.origemNota =  ignComboBoxFixoOrigemNota.selectedItem==null?NaN:ignComboBoxFixoOrigemNota.selectedItem.codigo == ""?NaN:ignComboBoxFixoOrigemNota.selectedItem.codigo=="E"?1:2;

						caracteristicasFiscais.suspCalcSt = ignComboBoxFixoSuspCalcSt.selectedItem==null?NaN:ignComboBoxFixoSuspCalcSt.selectedItem.codigo == ""?NaN:ignComboBoxFixoSuspCalcSt.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.reducaoBCIcmsST =  ignTextInputDoubleReducaoBCIcmsST.text == ""?NaN:parseFloat(ignTextInputDoubleReducaoBCIcmsST.text.replace(",", "."));

						caracteristicasFiscais.aplicReducaoBCIcmsST = ignComboBoxFixoAplicReducaoBCIcmsST.selectedItem==null?NaN:ignComboBoxFixoAplicReducaoBCIcmsST.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicReducaoBCIcmsST.selectedItem.codigo=="N"?0:1;

						caracteristicasFiscais.aplicCfopForaUf = ignComboBoxFixoAplicCfopForaUf.selectedItem==null?NaN:ignComboBoxFixoAplicCfopForaUf.selectedItem.codigo == ""?NaN:ignComboBoxFixoAplicCfopForaUf.selectedItem.codigo=="N"?0:1;

						var remoteObjectSalvar: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("caracteristicasFiscaisService", salvarResultHandler);	
						remoteObjectSalvar.getOperation("salvar").send(caracteristicasFiscais); 
					}
				}	
			}

			
			// Depois que salva fecha a janela
			private function salvarResultHandler( event: ResultEvent ): void 
			{
				this.caracteristicasFiscais = event.result as CaracteristicasFiscais;
				this.dispatchEvent(new ResultEvent("CaracteristicasFiscaisIncluidoEvent",false, true, this.caracteristicasFiscais, null, null));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			// Depois que atualiza fecha a janela
			private function atualizarResultHandler( event: ResultEvent ): void 
			{
				this.caracteristicasFiscais = event.result as CaracteristicasFiscais;
				this.dispatchEvent(new Event("CaracteristicasFiscaisAtualizadoEvent"));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
// ---------------------------------- LIMPAR  --------------------------------	
			protected function buttonLimpar_clickHandler(event:MouseEvent):void
			{
				limparListaCampo();
			}
						
// ---------------------------------- ADICIONAR DINAMICAMENTE  --------------------------------				
			protected function buttonAdicionarCfopForaUf_clickHandler(event:MouseEvent):void
			{
				var cfopComponenteCadastro: CfopComponenteCadastro = new CfopComponenteCadastro();
				cfopComponenteCadastro.addEventListener("CfopIncluidoEvent", atualizarListaCfopForaUfPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(cfopComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(cfopComponenteCadastro);
			}
			
			private function atualizarListaCfopForaUfPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoCfopForaUf: Cfop = e.result as Cfop;
				listaCfopForaUf.addItem(novoCfopForaUf);
				ignComboBoxAutoCompleteCfopForaUf.selectedItem = novoCfopForaUf;
			}
			protected function buttonAdicionarCstcofins_clickHandler(event:MouseEvent):void
			{
				var cstcofinsComponenteCadastro: CstcofinsComponenteCadastro = new CstcofinsComponenteCadastro();
				cstcofinsComponenteCadastro.addEventListener("CstcofinsIncluidoEvent", atualizarListaCstcofinsPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(cstcofinsComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(cstcofinsComponenteCadastro);
			}
			
			private function atualizarListaCstcofinsPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoCstcofins: Cstcofins = e.result as Cstcofins;
				listaCstcofins.addItem(novoCstcofins);
				ignComboBoxAutoCompleteCstcofins.selectedItem = novoCstcofins;
			}
			protected function buttonAdicionarCodigoSituacaoTributaria_clickHandler(event:MouseEvent):void
			{
				var codigoSituacaoTributariaComponenteCadastro: CodigoSituacaoTributariaComponenteCadastro = new CodigoSituacaoTributariaComponenteCadastro();
				codigoSituacaoTributariaComponenteCadastro.addEventListener("CodigoSituacaoTributariaIncluidoEvent", atualizarListaCodigoSituacaoTributariaPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(codigoSituacaoTributariaComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(codigoSituacaoTributariaComponenteCadastro);
			}
			
			private function atualizarListaCodigoSituacaoTributariaPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoCodigoSituacaoTributaria: CodigoSituacaoTributaria = e.result as CodigoSituacaoTributaria;
				listaCodigoSituacaoTributaria.addItem(novoCodigoSituacaoTributaria);
				ignComboBoxAutoCompleteCodigoSituacaoTributaria.selectedItem = novoCodigoSituacaoTributaria;
			}
						
			protected function buttonAdicionarCfop_clickHandler(event:MouseEvent):void
			{
				var cfopComponenteCadastro: CfopComponenteCadastro = new CfopComponenteCadastro();
				cfopComponenteCadastro.addEventListener("CfopIncluidoEvent", atualizarListaCfopPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(cfopComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(cfopComponenteCadastro);
			}
			
			private function atualizarListaCfopPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoCfop: Cfop = e.result as Cfop;
				listaCfop.addItem(novoCfop);
				ignComboBoxAutoCompleteCfop.selectedItem = novoCfop;
			}
			protected function buttonAdicionarSubCodigoSituacaoTributaria_clickHandler(event:MouseEvent):void
			{
				var subCodigoSituacaoTributariaComponenteCadastro: SubCodigoSituacaoTributariaComponenteCadastro = new SubCodigoSituacaoTributariaComponenteCadastro();
				subCodigoSituacaoTributariaComponenteCadastro.addEventListener("SubCodigoSituacaoTributariaIncluidoEvent", atualizarListaSubCodigoSituacaoTributariaPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(subCodigoSituacaoTributariaComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(subCodigoSituacaoTributariaComponenteCadastro);
			}
			
			private function atualizarListaSubCodigoSituacaoTributariaPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoSubCodigoSituacaoTributaria: SubCodigoSituacaoTributaria = e.result as SubCodigoSituacaoTributaria;
				listaSubCodigoSituacaoTributaria.addItem(novoSubCodigoSituacaoTributaria);
				ignComboBoxAutoCompleteSubCodigoSituacaoTributaria.selectedItem = novoSubCodigoSituacaoTributaria;
			}
			protected function buttonAdicionarCstipi_clickHandler(event:MouseEvent):void
			{
				var cstipiComponenteCadastro: CstipiComponenteCadastro = new CstipiComponenteCadastro();
				cstipiComponenteCadastro.addEventListener("CstipiIncluidoEvent", atualizarListaCstipiPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(cstipiComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(cstipiComponenteCadastro);
			}
			
			private function atualizarListaCstipiPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoCstipi: Cstipi = e.result as Cstipi;
				listaCstipi.addItem(novoCstipi);
				ignComboBoxAutoCompleteCstipi.selectedItem = novoCstipi;
			}
			protected function buttonAdicionarCstpis_clickHandler(event:MouseEvent):void
			{
				var cstpisComponenteCadastro: CstpisComponenteCadastro = new CstpisComponenteCadastro();
				cstpisComponenteCadastro.addEventListener("CstpisIncluidoEvent", atualizarListaCstpisPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(cstpisComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(cstpisComponenteCadastro);
			}
			
			private function atualizarListaCstpisPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoCstpis: Cstpis = e.result as Cstpis;
				listaCstpis.addItem(novoCstpis);
				ignComboBoxAutoCompleteCstpis.selectedItem = novoCstpis;
			}
			protected function buttonAdicionarUf_clickHandler(event:MouseEvent):void
			{
				var ufComponenteCadastro: UfComponenteCadastro = new UfComponenteCadastro();
				ufComponenteCadastro.addEventListener("UfIncluidoEvent", atualizarListaUfPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(ufComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(ufComponenteCadastro);
			}
			
			private function atualizarListaUfPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoUf: Uf = e.result as Uf;
				listaUf.addItem(novoUf);
				ignComboBoxAutoCompleteUf.selectedItem = novoUf;
			}

			
// ---------------------------------- PESQUISAR AUTOR ABRINDO A LISTA  --------------------------------				
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<!-- <mx:Validator id="validatorObrigatorioSituacaoCaracteristicasFiscais" property="selectedItem" required="true" source="{comboBoxSituacaoCaracteristicasFiscais}" trigger="{comboBoxSituacaoCaracteristicasFiscais}" triggerEvent="valueCommit"/> -->
		

		<s:ArrayCollection id="listaOpcaoSimNao">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="S" valor="Sim"/>
			<fx:Object codigo="N" valor="Nao"/>
		</s:ArrayCollection>
		
		<s:ArrayCollection id="listaOrigemNota">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="E" valor="Empresa"/>
			<fx:Object codigo="F" valor="Fornecedor"/>
		</s:ArrayCollection>
					
	</fx:Declarations>
	
<mx:VBox maxHeight="600" width="850" maxWidth="1200" verticalScrollPolicy="auto" horizontalScrollPolicy="auto">
	<mx:Grid x="15" y="15" styleName="gridCompactado">
						<mx:GridRow>
							<mx:GridItem colSpan="8" horizontalAlign="center">
								<s:Spacer />
							</mx:GridItem>
						</mx:GridRow>	
						<mx:GridRow>
							<mx:GridItem>
								<s:Spacer width="10"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Origem Nota:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoOrigemNota" styleName="labelValidacao"  text="{ignComboBoxFixoOrigemNota.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoOrigemNota" obrigatorio="true" dataProvider="{listaOrigemNota}" listaValidadorForm="{this.listaValidadorForm}"/>
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem>
								<s:Spacer width="10"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Uf:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoUf" styleName="labelValidacao" text="{ignComboBoxAutoCompleteUf.errorString}"/>
									<s:HGroup>
										<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteUf" dataProvider="{listaUf}" labelField="sigla" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
										<s:Button id="buttonAdicionarUf" width="30" label="+" click="buttonAdicionarUf_clickHandler(event)"/>
									</s:HGroup>
								</s:VGroup>
							</mx:GridItem>
							
						</mx:GridRow>
					</mx:Grid>
					<mx:Grid styleName="gridCompactado" x="15"> 
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Descrição:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor" colSpan="8" >
								<s:VGroup>
									<s:Label id="labelValidacaoDescricao" styleName="labelValidacao" text="{ignTextInputDescricao.errorString}"/>
									<visual:IgnTextInput id="ignTextInputDescricao" maxChars="100" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}" width="600"/>
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="CFOP:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoCfop" styleName="labelValidacao" text="{ignComboBoxAutoCompleteCfop.errorString}"/>
									<s:HGroup>
										<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteCfop" dataProvider="{listaCfop}" labelField="descricaoCompleta" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" width="300"/>
										<s:Button id="buttonAdicionarCfop" width="30" label="+" click="buttonAdicionarCfop_clickHandler(event)"/>
									</s:HGroup>
								</s:VGroup>
							</mx:GridItem>	
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Aplicável CFOP:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAplicIdCfop" styleName="labelValidacao" text="{ignComboBoxFixoAplicIdCfop.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAplicIdCfop" obrigatorio="true"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="CFOP Fora UF:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoCfopForaUf" styleName="labelValidacao" text="{ignComboBoxAutoCompleteCfopForaUf.errorString}"/>
									<s:HGroup>
										<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteCfopForaUf" dataProvider="{listaCfopForaUf}" labelField="descricaoCompleta" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" width="300"/>
										<s:Button id="buttonAdicionarCfopForaUf" width="30" label="+" click="buttonAdicionarCfopForaUf_clickHandler(event)"/>
									</s:HGroup>
								</s:VGroup>
							</mx:GridItem>		
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Aplicável CFOP Fora UF:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAplicCfopForaUf" styleName="labelValidacao" text="{ignComboBoxFixoAplicCfopForaUf.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAplicCfopForaUf" obrigatorio="true"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
					</mx:Grid>
					<mx:Grid styleName="gridCompactado" x="15">
						<mx:GridRow>		
							<mx:GridItem styleName="gridLabel">
								<s:Label text="% ICMS:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoIcms" styleName="labelValidacao" text="{ignTextInputDoubleIcms.errorString}"/>
									<visual:IgnTextInputDouble id="ignTextInputDoubleIcms" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Aplicável ICMS:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAplicIcms" styleName="labelValidacao" text="{ignComboBoxFixoAplicIcms.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAplicIcms" obrigatorio="true"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="% IPI:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoIpi" styleName="labelValidacao" text="{ignTextInputDoubleIpi.errorString}"/>
									<visual:IgnTextInputDouble id="ignTextInputDoubleIpi" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Aplicável IPI:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAplicIpi" styleName="labelValidacao" text="{ignComboBoxFixoAplicIpi.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAplicIpi" obrigatorio="true"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="% PIS:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoPis" styleName="labelValidacao" text="{ignTextInputDoublePis.errorString}"/>
									<visual:IgnTextInputDouble id="ignTextInputDoublePis" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Aplicável PIS:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAplicPis" styleName="labelValidacao" text="{ignComboBoxFixoAplicPis.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAplicPis" obrigatorio="true"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Exibir PIS Nota:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoExibirPisNota" styleName="labelValidacao" text="{ignComboBoxFixoExibirPisNota.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoExibirPisNota" obrigatorio="false"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="% COFINS:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoCofins" styleName="labelValidacao" text="{ignTextInputDoubleCofins.errorString}"/>
									<visual:IgnTextInputDouble id="ignTextInputDoubleCofins" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Aplicável COFINS:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAplicCofins" styleName="labelValidacao" text="{ignComboBoxFixoAplicCofins.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAplicCofins" obrigatorio="true"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Exibir Cofins Nota:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoExibirCofinsNota" styleName="labelValidacao" text="{ignComboBoxFixoExibirCofinsNota.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoExibirCofinsNota" obrigatorio="false"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="% CSLL:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoCsll" styleName="labelValidacao" text="{ignTextInputDoubleCsll.errorString}"/>
									<visual:IgnTextInputDouble id="ignTextInputDoubleCsll" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Aplicável CSLL:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAplicCsll" styleName="labelValidacao" text="{ignComboBoxFixoAplicCsll.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAplicCsll" obrigatorio="true"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Exibir CSLL Nota:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoExibirCsllNota" styleName="labelValidacao" text="{ignComboBoxFixoExibirCsllNota.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoExibirCsllNota" obrigatorio="false"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="% IRRF:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoIrrf" styleName="labelValidacao" text="{ignTextInputDoubleIrrf.errorString}"/>
									<visual:IgnTextInputDouble id="ignTextInputDoubleIrrf" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Aplicável IRRF:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAplicIRRF" styleName="labelValidacao" text="{ignComboBoxFixoAplicIRRF.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAplicIRRF" obrigatorio="true"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Exibir IRRF Nota:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoExibirIrrfNota" styleName="labelValidacao"  text="{ignComboBoxFixoExibirIrrfNota.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoExibirIrrfNota" obrigatorio="false" dataProvider="{listaOpcaoSimNao}" listaValidadorForm="{this.listaValidadorForm}"/>
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="% Red. BC ICMS:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoReducaoBCIcms" styleName="labelValidacao" text="{ignTextInputDoubleReducaoBCIcms.errorString}"/>
									<visual:IgnTextInputDouble id="ignTextInputDoubleReducaoBCIcms" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Aplicável BC ICMS:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAplicReducaoBCIcms" styleName="labelValidacao" text="{ignComboBoxFixoAplicReducaoBCIcms.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAplicReducaoBCIcms" obrigatorio="true"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="% Red. BC ICMS ST:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoReducaoBCIcmsST" styleName="labelValidacao" text="{ignTextInputDoubleReducaoBCIcmsST.errorString}"/>
									<visual:IgnTextInputDouble id="ignTextInputDoubleReducaoBCIcmsST" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Aplicável Red. BC ICMS ST:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAplicReducaoBCIcmsST" styleName="labelValidacao" text="{ignComboBoxFixoAplicReducaoBCIcmsST.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAplicReducaoBCIcmsST" obrigatorio="true"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="MVA:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoMva" styleName="labelValidacao" text="{ignTextInputDoubleMva.errorString}"/>
									<visual:IgnTextInputDouble id="ignTextInputDoubleMva" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Aplicável MVA:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAplicMva" styleName="labelValidacao" text="{ignComboBoxFixoAplicMva.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAplicMva" obrigatorio="true"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
					</mx:Grid>
					<mx:Grid styleName="gridCompactado" x="15">
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Cod. Sit. Tributaria:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoCodigoSituacaoTributaria" styleName="labelValidacao" text="{ignComboBoxAutoCompleteCodigoSituacaoTributaria.errorString}"/>
									<s:HGroup>
										<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteCodigoSituacaoTributaria" dataProvider="{listaCodigoSituacaoTributaria}" labelField="descricaoCompleta" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
										<s:Button id="buttonAdicionarCodigoSituacaoTributaria" width="30" label="+" click="buttonAdicionarCodigoSituacaoTributaria_clickHandler(event)"/>
									</s:HGroup>
								</s:VGroup>
							</mx:GridItem>		
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Aplicável:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAplicCodigoSitTrib" styleName="labelValidacao" text="{ignComboBoxFixoAplicCodigoSitTrib.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAplicCodigoSitTrib" obrigatorio="true"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Sub-Cod.Sit.Trib.:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoSubCodigoSituacaoTributaria" styleName="labelValidacao" text="{ignComboBoxAutoCompleteSubCodigoSituacaoTributaria.errorString}"/>
									<s:HGroup>
										<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteSubCodigoSituacaoTributaria" dataProvider="{listaSubCodigoSituacaoTributaria}" labelField="descricaoCompleta" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" width="300"/>
										<s:Button id="buttonAdicionarSubCodigoSituacaoTributaria" width="30" label="+" click="buttonAdicionarSubCodigoSituacaoTributaria_clickHandler(event)"/>
									</s:HGroup>
								</s:VGroup>
							</mx:GridItem>		
							<mx:GridItem styleName="gridLabel">
								<s:Label text="CST PIS:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoCstpis" styleName="labelValidacao" text="{ignComboBoxAutoCompleteCstpis.errorString}"/>
									<s:HGroup>
										<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteCstpis" dataProvider="{listaCstpis}" labelField="descricaoCompleta" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" width="300"/>
										<s:Button id="buttonAdicionarCstpis" width="30" label="+" click="buttonAdicionarCstpis_clickHandler(event)"/>
									</s:HGroup>
								</s:VGroup>
							</mx:GridItem>	
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="CST Cofins:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoCstcofins" styleName="labelValidacao" text="{ignComboBoxAutoCompleteCstcofins.errorString}"/>
									<s:HGroup>
										<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteCstcofins" dataProvider="{listaCstcofins}" labelField="descricaoCompleta" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" width="300"/>
										<s:Button id="buttonAdicionarCstcofins" width="30" label="+" click="buttonAdicionarCstcofins_clickHandler(event)"/>
									</s:HGroup>
								</s:VGroup>
							</mx:GridItem>		
							<mx:GridItem styleName="gridLabel">
								<s:Label text="CST IPI:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoCstipi" styleName="labelValidacao" text="{ignComboBoxAutoCompleteCstipi.errorString}"/>
									<s:HGroup>
										<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteCstipi" dataProvider="{listaCstipi}" labelField="descricaoCompleta" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" width="300"/>
										<s:Button id="buttonAdicionarCstipi" width="30" label="+" click="buttonAdicionarCstipi_clickHandler(event)"/>
									</s:HGroup>
								</s:VGroup>
							</mx:GridItem>	
						</mx:GridRow>
					</mx:Grid>
					<mx:Grid styleName="gridCompactado" x="15">
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Sobrescrever Obs.:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoSobreescreverobs" styleName="labelValidacao" text="{ignComboBoxFixoSobreescreverobs.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoSobreescreverobs" obrigatorio="false"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Local OBS:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoLocalObs" styleName="labelValidacao" text="{ignComboBoxFixoLocalObs.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoLocalObs" obrigatorio="false"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Ativo:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoAtivo" styleName="labelValidacao" text="{ignComboBoxFixoAtivo.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoAtivo" obrigatorio="false"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Desconto Impostos:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoDescontoImpostos" styleName="labelValidacao" text="{ignComboBoxFixoDescontoImpostos.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoDescontoImpostos" obrigatorio="false"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel">
								<s:Label text="Susp. Calc. ST:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor">
								<s:VGroup>
									<s:Label id="labelValidacaoSuspCalcSt" styleName="labelValidacao" text="{ignComboBoxFixoSuspCalcSt.errorString}"/>
									<visual:IgnComboBoxFixo id="ignComboBoxFixoSuspCalcSt" obrigatorio="false"  dataProvider="{listaOpcaoSimNao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
								</s:VGroup>
							</mx:GridItem>
							<mx:GridItem styleName="gridLabel" >
								<s:Label text="Observação:"/>
							</mx:GridItem>
							<mx:GridItem styleName="gridValor" colSpan="6">
								<s:VGroup>
									<s:Label id="labelValidacaoObservacao" styleName="labelValidacao" text="{ignTextAreaObservacao.errorString}"/>
									<visual:IgnTextArea id="ignTextAreaObservacao" width="100%" heightInLines="2" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
								</s:VGroup>
							</mx:GridItem>
						</mx:GridRow>
						<mx:GridRow>
							<mx:GridItem colSpan="8" horizontalAlign="center">
								<s:Spacer height="20"/>
							</mx:GridItem>
						</mx:GridRow>		
						<mx:GridRow>
							<mx:GridItem colSpan="8" horizontalAlign="right">
								<s:Button id="buttonSalvar" label="Salvar" click="buttonSalvar_clickHandler(event)"/>
								<s:Button id="buttonLimpar" label="Limpar" click="buttonLimpar_clickHandler(event)"/>
							</mx:GridItem>
						</mx:GridRow>
						
					</mx:Grid>

</mx:VBox>
</s:TitleWindow>